Qt 5.7 | Qt 3D | C++ Classes | QCameraSelector

Qt 5.7.1 Reference Documentation

# QCameraSelector Class

(Qt3DRender::QCameraSelector)

Class to allow for selection of camera to be used More...

Header: | #include <QCameraSelector>
qmake: | QT += 3drender
Since: | Qt 5.5
Instantiated By: | CameraSelector
Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- camera : Qt3DCore::QEntity *

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QCameraSelector(Qt3DCore::QNode *parent = nullptr)
Qt3DCore::QEntity * | camera() const

- 1 public function inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setCamera(Qt3DCore::QEntity *camera)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | cameraChanged(Qt3DCore::QEntity *camera)

- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QCameraSelector(QCameraSelectorPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Class to allow for selection of camera to be used

A Qt3DRender::QCameraSelector can be used to select the camera, which is used by the FrameGraph when drawing the entities.

## Property Documentation

### camera : Qt3DCore::QEntity *

Holds the currently selected camera.

Access functions:

Qt3DCore::QEntity * | camera() const
void | setCamera(Qt3DCore::QEntity *camera)

Notifier signal:

void | cameraChanged(Qt3DCore::QEntity *camera)

## Member Function Documentation

### QCameraSelector::QCameraSelector(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.

### `[protected]` QCameraSelector::QCameraSelector(QCameraSelectorPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.